jQuery(document).ready(function($) {
    $('.download-link').on('click', function(e) {
        e.preventDefault();
        var fileUrl = $(this).attr('href');
        var fileName = fileUrl.split('/').pop();

        $.post(fdt_ajax_object.ajax_url, {
            action: 'fdt_track_download',
            file_name: fileName
        }, function(response) {
            if (response.success) {
                console.log('Download count: ' + response.data.download_count);
                // Procedere con il download solo se il tracking è stato un successo
                var link = document.createElement('a');
                link.href = fileUrl;
                link.download = fileName;
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            } else {
                alert('Errore nel tracciamento del download. Riprova più tardi.');
            }
        }).fail(function() {
            alert('Errore di comunicazione con il server. Riprova più tardi.');
        });
    });
});
